summaryrefslogtreecommitdiffstats
path: root/academic/genius
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbangbash.com>2010-05-12 23:27:37 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-12 23:27:37 +0200
commit45cce5a7a17285e5affe57d181e0f0d7b2881a28 (patch)
treecfca6aec6d248f273ad3e6b015107c9e3f8fc803 /academic/genius
parent327a98b59738381c24ae1c464dff2b5ca310584e (diff)
downloadslackbuilds-45cce5a7a17285e5affe57d181e0f0d7b2881a28.tar.gz
slackbuilds-45cce5a7a17285e5affe57d181e0f0d7b2881a28.tar.xz
academic/genius: Added to 12.2 repository
Diffstat (limited to 'academic/genius')
-rw-r--r--academic/genius/README15
-rw-r--r--academic/genius/doinst.sh3
-rw-r--r--academic/genius/genius.SlackBuild103
-rw-r--r--academic/genius/genius.info8
-rw-r--r--academic/genius/slack-desc19
5 files changed, 148 insertions, 0 deletions
diff --git a/academic/genius/README b/academic/genius/README
new file mode 100644
index 0000000000..a2187b9c00
--- /dev/null
+++ b/academic/genius/README
@@ -0,0 +1,15 @@
+genius (mathematics tool and the GEL language)
+
+Genius is a general purpose calculator program similiar
+in some aspects to BC, Matlab, Maple or Mathematica. It
+is useful both as a simple calculator and as a research
+or educational tool. The syntax is very intuitive and
+is designed to mimic how mathematics is usually written.
+
+Definite dependencies: rarian (as scrollkeeper replacement)
+is available on SBo.
+
+Optional dependencies: libgnomeui (available on SBo)
+if you have the optional dependencies, pass the variable
+ of GNOME=YES (or anything that isn't NO ;)
+
diff --git a/academic/genius/doinst.sh b/academic/genius/doinst.sh
new file mode 100644
index 0000000000..0039459a06
--- /dev/null
+++ b/academic/genius/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/academic/genius/genius.SlackBuild b/academic/genius/genius.SlackBuild
new file mode 100644
index 0000000000..99df40383d
--- /dev/null
+++ b/academic/genius/genius.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for genius
+# Copyright 2009 Vincent Batts, vbatts@hashbangbash.com, http://hashbangbash.com/
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+PRGNAM=genius
+VERSION=${VERSION:-1.0.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+GNOME=${GNOME:-NO}
+GNOME_FLAGS="--disable-gtksourceview --disable-gnome"
+if [ "$GNOME" != "NO" ] ; then
+ GNOME_FLAGS=""
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-scrollkeeper \
+ --disable-update-mimedb \
+ $GNOME_FLAGS \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a TODO NEWS README AUTHORS ABOUT-NLS INSTALL ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/genius/genius.info b/academic/genius/genius.info
new file mode 100644
index 0000000000..500fa03412
--- /dev/null
+++ b/academic/genius/genius.info
@@ -0,0 +1,8 @@
+PRGNAM="genius"
+VERSION="1.0.5"
+HOMEPAGE="http://www.5z.com/jirka/genius.html"
+DOWNLOAD="http://ftp.5z.com/pub/genius/genius-1.0.5.tar.bz2"
+MD5SUM="c81d70d1d17b99536293b1231211a167"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="michiel" \ No newline at end of file
diff --git a/academic/genius/slack-desc b/academic/genius/slack-desc
new file mode 100644
index 0000000000..34aaadb94a
--- /dev/null
+++ b/academic/genius/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+genius: genius ( math tool)
+genius:
+genius: genius is an all purpose math toolprogram similar in some aspects
+genius: to BC, Matlab or Maple. It is useful both as a simple calculator
+genius: and as a research or educational tool. The syntax is very intuitive
+genius: and is designed to mimic how mathematics is usually written.
+genius:
+genius: Homepage http://www.5z.com/jirka/genius.html
+genius:
+genius:
+genius: